<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.6.0rc - Last modified 7/7/2007
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

if (!$flags['admin']) {
	report_err('You do not have the credentials to access the template designer.');
}


function strip_all_quotes ($in) {
	$in = stripslashes ($in);
	$in = str_replace ('"', '', $in);
	$in = str_replace ('\'', '', $in);
	return $in;
}


// Fix unregistered vars
$unregistered = array ('tnotes', 'hCellPadding', 'hWidth', 'cCellPadding', 'cWidth', 'avisited', 'ahover', 'alink', 'aactive', 'dStamp', 'additional', 'menubar', 'submenu', 'header', 'txtinput', 'submitbtn', 'infotable', 'footertable', 'multiline', 'commenttitle', 'commentpost', 'body');
foreach ($unregistered as $fix) {
	if (!isset ($_GLOBALS[$fix])) {
		$_GLOBALS[$fix] = '';
	}
}


// Input
$local_filename = w_gpc('filename');
if (!empty ($local_filename)) {
	// Filenames cannot have quotes
	$local_filename = strip_all_quotes($local_filename);

	// ...or spaces
	$local_filename = str_replace (' ', '_', $local_filename);

	// ...or, other things
	if ($bad = badChars($local_filename, 'file')) {
		report_err('File name contains illegal characters: '.make_list($bad, ', '));
	}
} else {
	report_err('No template name specified.');
}


// Write template file
if (isset ($_POST['Save']) && !empty ($local_filename)) {
	// Ugh
	$fix_vars = array ('hCellPadding', 'hWidth', 'cCellPadding', 'cWidth', 'commenttitle', 'commentpost', 'avisited', 'ahover', 'alink', 'aactive', 'dStamp', 'additional', 'menubar', 'submenu', 'header', 'txtinput', 'submitbtn', 'infotable', 'footertable', 'multiline', 'body');

	$tf = array();
	foreach ($fix_vars as $post_fix) {
		$tf[$post_fix] = addslashes ($_POST[$post_fix]);
	}

	$tnotes = stripslashes ($_POST['tnotes']);


	// Compile
	$templatedata = <<<END_O_F
<?php
	// Advanced template for OekakiPoteto 5.x and Wax Poteto 5.x

if (\$edittemplate == 'edit') {
	header('Location: tedita.php?filename='.\$filename);
	exit;
}

\$tnotes = <<<EOF
$tnotes
EOF;

\$teditmode="1";
\$filename="{$local_filename}";
\$hCellPadding="{$tf['hCellPadding']}";
\$hWidth="{$tf['hWidth']}";
\$cCellPadding="{$tf['cCellPadding']}";
\$cWidth="{$tf['cWidth']}";
\$commenttitle="{$tf['commenttitle']}";
\$commentpost="{$tf['commentpost']}";

\$avisited="{$tf['avisited']}";
\$ahover="{$tf['ahover']}";
\$alink="{$tf['alink']}";
\$aactive="{$tf['aactive']}";
\$dStamp="{$tf['dStamp']}";

\$body="{$tf['body']}";
\$header="{$tf['header']}";
\$menubar="{$tf['menubar']}";
\$submenu="{$tf['submenu']}";
\$infotable="{$tf['infotable']}";
\$txtinput="{$tf['txtinput']}";
\$multiline="{$tf['multiline']}";
\$submitbtn="{$tf['submitbtn']}";
\$additional="{$tf['additional']}";
\$footertable="{$tf['footertable']}";

echo <<<EOF
<style type="text/css">
	<!--
	A:link {\$alink}
	A:visited {\$avisited}
	A:hover {\$ahover}
	A:active {\$aactive}

	body {
		\$body
	}
	.header {
		\$header
	}
	.menubar {
		\$menubar
	}
	.submenu {
		\$submenu
	}
	.txtinput {
		\$txtinput
	}
	.multiline {
		\$multiline
	}
	.infotable {
		\$infotable
	}
	.commenttitle {
		\$commenttitle
	}
	.commentpost {
		\$commentpost
	}
	.submit {
		\$submitbtn
	}
	.footertable {
		\$footertable
	}
	\$additional
	-->
</style>

EOF;
?>
END_O_F;
//<?
	$fp = @fopen ('templates/'.$local_filename.'.php', 'w');
	if ($fp) {
		fwrite ($fp, $templatedata);
		fclose ($fp);
	}
}


// Edit template, or make new one?
$import = 0;
if (file_exists ('templates/'.$local_filename.'.php')) {
	$import = 1;
}


if ($import) {
	?>
<html>
<head>
	<title><?=$cfg['op_title'];?></title>

	<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset;?>">

<?
include ('templates/'.$local_filename.'.php');
?>

	<script language="JavaScript" type="text/javascript" src="poteto.js">
	</script>
</head>

<body bgcolor="<?=$bgColor?>" text="<?=$textColor?>" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" background="templates/<?=$bgImage?>" link="<?=$link?>" vlink="<?=$vLink?>" alink="<?=$aLink?>">
<?
} else {
	include ('header.php');

	// Clear template vars
	$tnotes = '';
	$bgColor = '';
	$aLink = '';
	$avisited = '';
	$alink = '';
	$dStamp = '';
	$hWidth = '';
	$cWidth = '';
	$hCellPadding = '';
	$cCellPadding = '';
}



?>
<form name="form1" method="post" action="tedita.php">
	<div style="width: 76%; margin-left: 12%;" align="center">
		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top" class="infotable">
			<a href="tdesign.php"><?=$langop_templateb_tempsel?></a>
			| <a href="#preview"><?=$langop_templateb_curprev?></a>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header"><b><a name="top"></a><?=$langop_templatec_title?></b></td>
		</tr>
		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="0" align="center" class="infotable">
			<tr>
			<td height="36">
				<font size="-1">
					<?=$langop_templatec_filen?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<?=$langop_templatec_filen2?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
				<input name="filename" type="text" class="txtinput" value="<?=$local_filename;?>" size="40" /> .php
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_notes?> (<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false"><?=$langop_common_niftytoo?></a>)
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templatec_author?></em>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
				<textarea name="tnotes" cols="40" rows="5" class="multiline"><?=w_html_chars($tnotes);?></textarea>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>

		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td class="infotable">
			<em><?=$langop_templatea_disc?></em>
		</td>
		</tr>

		<tr>
		<td class="header">
			<b><?=$langop_install_general?></b>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="0" align="center">
			<tr>
			<td class="header">
				<strong><?=$langop_templatec_htables?></strong>
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<?=$langop_templatec_cellpad?> 
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hCellPadding" type="text" class="txtinput" value="<?=w_html_chars($hCellPadding);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<?=$langop_templatec_twidth?> 
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hWidth" type="text" class="txtinput" value="<?=w_html_chars($hWidth);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_templatec_tsettings?></strong>
			</td>
			</tr>

			<tr class="infotable">
			<td height="20">
				<?=$langop_templatec_cellpad?> 
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cCellPadding" type="text" class="txtinput" value="<?=w_html_chars($cCellPadding);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<?=$langop_templatec_twidth?> 
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cWidth" type="text" class="txtinput" value="<?=w_html_chars($cWidth);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_templatec_linkinfo?></strong>
			</td>
			</tr>

			<tr>
			<td class="infotable">
				A: Visited
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input name="avisited" type="text" class="txtinput" value="<?=w_html_chars($avisited);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td height="20" class="infotable">
				A: Hover
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input name="ahover" type="text" class="txtinput" value="<?=w_html_chars($ahover);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="infotable">
				A: Link
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input name="alink" type="text" class="txtinput" value="<?=w_html_chars($alink);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td height="21" class="infotable">
				A: Active
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input name="aactive" type="text" class="txtinput" value="<?=w_html_chars($aactive);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_install_miscsettings?></strong>
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<?=$langop_templatec_datestamp?> 
			</td>
			</tr>

			<tr class="infotable">
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="dStamp" type="text" class="txtinput" value="<?=w_html_chars($dStamp);?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_addcss?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<textarea name="additional" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($additional));?></textarea>
				</font>
			</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.menubar</strong> (<?=$langop_templatea_navibar?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="menubar" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($menubar))?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.submenu</strong> (<?=$langop_templatea_submenus?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?>
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="submenu" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($submenu));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.header</strong> (<?=$langop_templatea_header?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="header" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($header));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.txtinput</strong> (<?=$langop_templatea_txtinput?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="txtinput" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($txtinput));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header"><strong>.submit </strong>(<?=$langop_templatea_submitb?>)</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="submitbtn" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($submitbtn));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.infotable</strong> (<?=$langop_templatea_infotable?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="infotable" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($infotable));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.footertable</strong> (<?=$langop_templatea_footer?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="footertable" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($footertable));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.multiline</strong> (<?=$langop_templatea_listbox?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="multiline" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($multiline));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.commenttitle</strong> (<?=$langop_templatea_titlebarc?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?>
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="commenttitle" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($commenttitle));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>.commentpost</strong> (<?=$langop_templatea_atitlebar?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?> 
				</font>
			</td>
			</tr>

			<tr>
			<td height="24"><font color="#FFFFFF" size="-1">
				&nbsp;
				<textarea name="commentpost" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($commentpost));?></textarea>
				</font></td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong>body</strong> (<?=$langop_templatea_body?>)
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatea_typecss?>
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="body" cols="40" rows="5" class="multiline"><?=w_html_chars(stripslashes ($body));?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					<input name="Save" type="submit" value="Save" class="submit" />
				</font>
			</td>
			</tr>
			</table>
			<br />
		</td>
		</tr>

		<tr>
		<td height="23" valign="top" class="header">
			<a name="preview"></a>
			[<a href="#top"><?=$langop_word_top?></a>]
			<strong><?=$langop_templateb_tempsettpre?></strong>
		</td>
		</tr>

		<tr>
		<td height="23" valign="top">
			<br />
			<table width="100%" border="0" cellspacing="0" cellpadding="2" class="menubar">
			<tr>
			<td width="83%">
				(<?=$langop_templatea_navibar?>) <a href="#"><?=$langop_word_view?></a>
			</td>
			<td width="17%">
				<?=$langop_common_loggedin?> <strong>Guest</strong>
			</td>
			</tr>
			</table>
			<br />

			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="submenu">
			<tr>
			<td>
				(<?=$langop_word_submenu?>) <a href="#"><?=$langop_word_view?></a>
			</td>
			</tr>
			</table>
			<br />

			<table width="<?=$hWidth?>" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
			<tr>
			<td colspan="2" class="header">
				(<?=$langop_templatec_headert?>) [<b><a href="#">101</a></b>] [ <?=$langop_word_retouch?> ]
			</td>
			</tr>

			<tr>
			<td valign="top" width="5%">
				<div align="center">
					<img src="<?=$cfg['porn_img'];?>" />
					<br />
					<font size="-1">
						<?=$langop_word_picture?> 
						<br />
						<br />
					</font>
				</div>
			</td>
			<td width="95%" valign="top">
				<table width="<?=$cWidth?>" border="0" cellspacing="0" cellpadding="<?=$cCellPadding?>">
				<tr>
				<td class="commenttitle">
					<b><?=$langop_word_username?> @ <font color="<?=$dStamp?>"><?=$langop_word_date?></font></b>
					<font color="<?=$dStamp?>"> (<?=$langop_templatec_commtitle?>)</font>
				</td>
				</tr>

				<tr>
				<td class="commentpost">
					(<?=$langop_templatec_commpostt?>)
				</td>
				</tr>
				</table>
			</td>
			</tr>
			</table>
			<br />

			<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center">
			<tr>
			<td>&nbsp;</td>
			<td width="76%">
				<select name="usrname2" class="multiline">
					<option value="test">testvalue</option>
					<option value="test1">test2</option>
				</select>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			<td class="infotable">
				(.infotable)
			</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>
		</table>
	</div>
</form>
<br />

<? include ('footer.php'); ?>